# 62. Mutation: Dela gårdar

Partiell delning av gårdar till användare inom "Organisation" eller till externa användare. Det finns två fall för att tillämpa mutationen. Det första fallet är partiell delning av "Gård" via e-postlista.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    namn
    farmOwnership
    skapadDatum
    updatedDate
    email
  }
}

```

{% endcode %}

Och det andra fallet är att sätta flaggan ‘allFarms=true’ för listan av "Användare" i "Organisationen", vilket betyder att alla nya gårdar inom "Organisationen" kommer vara tillgängliga för dessa "Användare".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    namn
    farmOwnership
    skapadDatum
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/62.-mutation-dela-gardar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
